Chargebacks
Remover arquivo da defesa
Remove um anexo da defesa e devolve evidence atualizado. Só funciona antes do envio: depois dele, ou com o caso encerrado, responde 400 EVIDENCE_CASE_LOCKED.
DELETE
/v1/disputes/:caseId/evidence/files/:fileIdBase URL Produção:
https://api.validapay.com.brBase URL Sandbox:
https://sandbox.validapay.com.brEscopos requeridos
charges/write
Path Parameters
caseIdstringobrigatórioIdentificador do chargeback (`caseId`), devolvido na listagem
fileIdstringobrigatórioIdentificador do arquivo, devolvido no envio do anexo
Query Parameters
typeobrigatóriosempre CHARGEBACK nesta seção
CHARGEBACK
const url = 'https://sandbox.validapay.com.br/v1/disputes/:caseId/evidence/files/:fileId?type=CHARGEBACK';
const options = {
method: 'DELETE',
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Response Examples
200Arquivo removido▾
JSON
{
"fileId": "evd_1790598765432_r7t2n5vbc",
"evidence": {
"description": null,
"status": "DRAFT",
"submittedAt": null,
"attachments": [],
"submission": null
}
}404Arquivo não encontrado▾
JSON
{
"error": {
"message": "Anexo não encontrado",
"code": "EVIDENCE_FILE_NOT_FOUND",
"details": null,
"timestamp": "2026-10-28T14:20:00.000Z"
}
}400Defesa bloqueada▾
JSON
{
"error": {
"message": "Caso encerrado ou defesa já enviada",
"code": "EVIDENCE_CASE_LOCKED",
"details": null,
"timestamp": "2026-10-28T14:20:00.000Z"
}
}